Module tdlight.api
Package it.tdlight.jni

# Class TdApi.FileDownload

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.FileDownload

Enclosing class:
  TdApi

public static final class TdApi.FileDownload extends TdApi.Object
Describes a file added to file download list.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`addDate`
Point in time (Unix timestamp) when the file was added to the download list.
`int`
`completeDate`
Point in time (Unix timestamp) when the file downloading was completed; 0 if the file downloading isn't completed.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`fileId`
File identifier.
`boolean`
`isPaused`
True, if downloading of the file is paused.
`TdApi.Message`
`message`
The message with the file.

## Constructor Summary

Constructors
Constructor
Description
`FileDownload()`
Describes a file added to file download list.
`FileDownload(int fileId, TdApi.Message message, int addDate, int completeDate, boolean isPaused)`
Describes a file added to file download list.
`FileDownload(DataInput input)`
Describes a file added to file download list.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileId

public int fileId
File identifier.

### message

public TdApi.Message message
The message with the file.

### addDate

public int addDate
Point in time (Unix timestamp) when the file was added to the download list.

### completeDate

public int completeDate
Point in time (Unix timestamp) when the file downloading was completed; 0 if the file downloading isn't completed.

### isPaused

public boolean isPaused
True, if downloading of the file is paused.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### FileDownload

public FileDownload()
Describes a file added to file download list.

### FileDownload

public FileDownload(int fileId, TdApi.Message message, int addDate, int completeDate, boolean isPaused)
Describes a file added to file download list.

Parameters:
  `fileId` - File identifier.
  `message` - The message with the file.
  `addDate` - Point in time (Unix timestamp) when the file was added to the download list.
  `completeDate` - Point in time (Unix timestamp) when the file downloading was completed; 0 if the file downloading isn't completed.
  `isPaused` - True, if downloading of the file is paused.

### FileDownload

public FileDownload(DataInput input) throws IOException
Describes a file added to file download list.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`